The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Qt 4 не войдёт в состав Debian 10"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от opennews (??) on 16-Авг-17, 12:38 
Разработчики Debian сообщили (https://lists.debian.org/debian-devel-announce/2017/08/msg00...) о скором удалении пакетов с Qt 4 из репозиториев testing  и unstable. Таким образом, Qt 4 не войдёт в состав Debian 10 "Buster", в котором будет поставляться только Qt 5. Отмечается, что это достаточно трудное решение, так как многие приложения продолжают использовать Qt 4. Пользователям свободных программ, привязанных к Qt 4, предлагается портировать их на Qt 5, а в случае проприетарного ПО уведомить производителя, что настало время выпустить обновление.


Сопровождение устаревшей ветки Qt 4, финальный выпуск которой был сформирован (https://www.opennet.ru/opennews/art.shtml?num=42304) в мае 2015 года, вызывает определённые трудности. Первые попытки удаления Qt 4 из Debian отмечены (http://perezmeyer.blogspot.ru/2014/11/early-announce-qt4-rem...) ещё при подготовке Debian 9, но библиотека была оставлена в составе дистрибутива,  а её сопровождение ограничено устранением критических проблем. Теперь возникли проблемы другого плана - для поддержки новых версий некоторых библиотек требуется внесение существенных изменений в Qt 4, поэтому проще вообще удалить  из Qt 4 связанные с данными библиотеками подсистемы. Например, для обеспечения совместимости с OpenSSL 1.1 разработчики столкнулись с необходимостью применения непротестированных патчей, а для поддержки выпусков новее OpenSSL 1.1 остаётся только удалить из Qt 4 поддержку SSL. Аналогичная проблема наблюдается (https://wiki.debian.org/Qt4WebKitRemoval) с поддержкой в Qt 4 движка WebKit.

URL: https://lists.debian.org/debian-devel-announce/2017/08/msg00...
Новость: https://www.opennet.ru/opennews/art.shtml?num=47032

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 12:38 
Давно пора. Дебиан - весомый дистрибутив, и если прогеры не хотят потерять свою аудиторию, то должны наконец перейти на 5-й кьют. А то опять начнут тормозить с переходом, а когда выйдет 6-й, в котором, предположительно, пофиксят недостатки 5-й ветки, начнется нытье: очень сложно через версию портировать, бла-бла-бла.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от anonymous (??) on 16-Авг-17, 12:46 
На прогеры такие с троллфейсом - нету Qt4? Переходите на Убунточку, там отдельный ppa для таких ретроградов как мы завели!
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

6. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Анонон on 16-Авг-17, 12:54 
Всегда можно подтянуть из stable/oldstable
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

40. "Qt 4 не войдёт в состав Debian 10"  +6 +/
Сообщение от Аноним (??) on 16-Авг-17, 15:39 
Наивный. Для этого также придётся даунгрейдить часть библиотек, в т.ч. упомянутую в новости OpenSSL, что вызовет отвал требующего новую версию софта.
Именно из-за этих несовместимостей, причём даже не на уровне ABI (между бинарными пакетами), а на уровне API (между исходниками), и отказываются от Qt4 — читай новость внимательней.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

54. "Qt 4 не войдёт в состав Debian 10"  +2 +/
Сообщение от X4asd (ok) on 16-Авг-17, 17:42 
> Для этого также придётся даунгрейдить часть библиотек, в т.ч. упомянутую в новости OpenSSL

ДАУНГРЕЙДИТЬ?! а одновременно несколько версий OpenSSL нельзя существовать в системе?

а в Archlinux существует. устанавливаются сразу оба пакета:

https://www.archlinux.org/packages/core/x86_64/openssl/files/

https://www.archlinux.org/packages/core/x86_64/openssl-1.0/f.../

вот это чудеса.. да? :-D

Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

55. "Qt 4 не войдёт в состав Debian 10"  –4 +/
Сообщение от Аноним (??) on 16-Авг-17, 18:05 
А зачем вам одновременно несколько версий одной библиотеки? Не осилили обратную совместимость?
Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

59. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от пох on 16-Авг-17, 21:17 
> Не осилили обратную совместимость?

в случае qt - не осилили. В случае openssl - намеренно сломали "for greater good"


  

Ответить | Правка | ^ к родителю #55 | Наверх | Cообщить модератору

69. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 06:09 
И приложение на qt4 у вас тупо не запустится при старой и новой openssl одновременно. Его нужно патчить чтобы он не пытался грузить не поддерживаемые (новые) openssl.
Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

79. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от пох on 17-Авг-17, 17:56 
> И приложение на qt4 у вас тупо не запустится при старой и новой openssl одновременно.

о, оно ее еще и динамически грузило из первого попавшего под руку пути? Ну тогда да здравствует lxc/докер/vbox, я бы такой неадекват не очень-то и хотел бы видеть в своей системе.

P.S. привет мазиле, да, там все то же самое с libav (правда, она-то хоть версию проверяет)

Ответить | Правка | ^ к родителю #69 | Наверх | Cообщить модератору

73. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 17-Авг-17, 10:55 
Как мы все знаем из истории с systemd единственный значимый дистрибутив - это RedHat. Как в нём сделали так везде и будет.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

74. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Andrey Mitrofanov on 17-Авг-17, 11:03 
> Как мы все знаем из истории с systemd единственный значимый дистрибутив -
> это RedHat. Как в нём сделали так везде и будет.

"Везде" будут другие, кривые и бажные, версии [прямо из новостных д---т-релизов] того, что стабильно и поддерживаемо в EL. Диверсия.   ...и мальчики очкастые в глазах.

Ответить | Правка | ^ к родителю #73 | Наверх | Cообщить модератору

80. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от пох on 17-Авг-17, 17:57 
> "Везде" будут другие, кривые и бажные, версии [прямо из новостных д---т-релизов] того,

зачем они это делают, вот в чем вопрос? Только не рассказывайте об агентах редхата в рядах дебиановцев с мешками денег - не поверю.


Ответить | Правка | ^ к родителю #74 | Наверх | Cообщить модератору

87. "Qt 4 не войдёт в состав Debian 10"  +2 +/
Сообщение от Andrey Mitrofanov on 17-Авг-17, 18:48 
>> "Везде" будут другие, кривые и бажные, версии [прямо из новостных д---т-релизов] того,
> зачем они это делают, вот в чем вопрос? Только не рассказывайте об
> агентах редхата в рядах дебиановцев с мешками денег - не поверю.

Ну, ладно, не буду... Тогда такой вариант: в рядах д-цев слабые на передок любители блестящих фантиков, тащут в рот что попало.

Следующий фантик тоже на подходе: "другие дистибутивы" (=Debian, не rhel) не нужны, "модель" линукс-дистрибутивов изжила, а нужны "всем" докеры, снапперы и _апп-шопы_. Продажники маркетят [само-]пиар и проприертать.

Ответить | Правка | ^ к родителю #80 | Наверх | Cообщить модератору

2. "Qt 4 не войдёт в состав Debian 10"  +4 +/
Сообщение от Аноним (??) on 16-Авг-17, 12:42 
Gtk 2 уже выкинули?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Денис Матвийчук email on 16-Авг-17, 12:54 
ты сейчас серьёзно спросил?// а как же работать будет xfce 4...? он ведь практически полностью основан на GTK2+
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

8. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Ananas on 16-Авг-17, 13:01 
А они переходят на GTK3
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

10. "Qt 4 не войдёт в состав Debian 10"  +10 +/
Сообщение от A.Stahl (ok) on 16-Авг-17, 13:11 
Они ещё лет 5-7 будут переходить. За время их частичного перехода успел появиться МАТЕ и полностью портироваться на ГТК3. В очень неспешном режиме силами трёх инвалидов. ХФЦЕ... ну... скажем так: отстают в этом плане.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

26. "Qt 4 не войдёт в состав Debian 10"  –7 +/
Сообщение от Аноним (??) on 16-Авг-17, 13:52 
Счас минусов нахватаешься от ранимых и обидчивых адептов крыски, несмотря на всю объективность комментария.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

33. "Qt 4 не войдёт в состав Debian 10"  +2 +/
Сообщение от Клыкастый (ok) on 16-Авг-17, 14:36 
ну я адепт крыски. и с чего я буду минусовать? да, там всё небыстро и народу немного - так и есть.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

36. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от Аноним (??) on 16-Авг-17, 14:43 
давайте дружить
Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

57. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 16-Авг-17, 19:34 
давайте!
Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

60. "Qt 4 не войдёт в состав Debian 10"  +5 +/
Сообщение от Аноним (??) on 16-Авг-17, 21:20 
> там всё небыстро

Чем медленнее работает программист, тем быстрее работает его софт :)

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

76. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Василий Топоров email on 17-Авг-17, 12:21 
Для кого минус, а для кого и плюс. Это как посмотреть. Я вот после перехода на Крысу в 2012 году вообще не заметил в неё каких-либо серьёзных изменений. Если даже посомтреть новости про обновления Убунты или ДЕ, то там у всех остальных какие-то скандалы-интриги-расследования в нон-стоп режиме. Всё они там что-то ломают, куда-то портируются, перманентно переписываются на другие тулкиты (привет, адепты LXDE, когда-то и я был с вами). А в Xfce всё скучно - оно просто работает, и ты вообще перестаёшь его замечать. Да, это похоже на стагнацию и медленное загнивание, да окошко нельзя, например, перетягиванием заставить занимать ровно половину экрана (иногда полезно разделить экран лэптопа на 2 части для браузера и редактора, но в Крысе я не нашёл как это сдлать). Но это приемлимая для меня плата за стабильность.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

78. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от 123 (??) on 17-Авг-17, 13:33 
У меня опция с перетягивание работает. Mint 17.
Ответить | Правка | ^ к родителю #76 | Наверх | Cообщить модератору

31. "Qt 4 не войдёт в состав Debian 10"  –4 +/
Сообщение от Аноним (??) on 16-Авг-17, 14:15 
> силами трёх инвалидов

А я то думал, чего это MATE такой вот такой. А оно вона как. Теперь мне понятно.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

4. "Qt 4 не войдёт в состав Debian 10"  +6 +/
Сообщение от Аноним email(??) on 16-Авг-17, 12:46 
"в случае проприетарного ПО уведомить производителя, что настало время выпустить обновление."

И в уважительной форме получить развернутый ответ о компетенции производителя. ;)

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 12:54 
Как тогда запускать скайп?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

22. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от номия on 16-Авг-17, 13:30 
> Как тогда запускать скайп?

в браузере, там сейчас единственная адекватная версия скайпа.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

41. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от rshadow (ok) on 16-Авг-17, 15:41 
Единственный адекватный ответ в ветке =) Без красно_глазия.
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

23. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от Ананимус on 16-Авг-17, 13:31 
Чрут или контейнер с линуксом у которого есть qt4.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

27. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 16-Авг-17, 13:53 
Гонять по сети иксы с другого компа с убунтой.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

39. "Qt 4 не войдёт в состав Debian 10"  +5 +/
Сообщение от Аноним (??) on 16-Авг-17, 15:18 
скайп нонче на джаваскрипте и электроне
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

11. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от M i M email on 16-Авг-17, 13:11 
Думаю, наиболее упорные смогут собрать свои приложения и с Qt 4 со статической линковкой и жить дальше.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

12. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от A.Stahl (ok) on 16-Авг-17, 13:13 
Это вполне разумное решение. Не требующее особых затрат. Вообще практически идеальный вариант для полудохлого ПО. Ну или пихать в "контейнеры" если ПО уже совсем сдохло.
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

13. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от nazarpc on 16-Авг-17, 13:17 
Ага, с дырами безопасности
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

15. "Qt 4 не войдёт в состав Debian 10"  +7 +/
Сообщение от A.Stahl (ok) on 16-Авг-17, 13:20 
Ага, дыра безопасности в пасьянсе или в калькуляторе объёма буковых бочек. Трагедия-то какая...
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

20. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от номия on 16-Авг-17, 13:29 
во флэтснвппак пусть пихают
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

14. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от б.б. on 16-Авг-17, 13:19 
goldendict-о капец?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

19. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от 2018 Year of Linux on Desktops on 16-Авг-17, 13:28 
Based on Qt 5.9.1 (GCC 6.3.1 20170306, 64 bit)
Не, поживёт ещё.
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

16. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от б.б. on 16-Авг-17, 13:20 
в OpenBSD в наличии есть и qt3, и qt4 и qt5 -  и никто не сцыт в компот

ps. да, gtk1 только недавно выкинули :) вместе с последним оставшимся на нём пакетом - xmms

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

21. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от A.Stahl (ok) on 16-Авг-17, 13:29 
>и никто не сцыт в компот

Там повар ноги моет.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

24. "Qt 4 не войдёт в состав Debian 10"  +2 +/
Сообщение от аноним_анонимыч on 16-Авг-17, 13:38 
> в OpenBSD в наличии есть и qt3, и qt4 и qt5 -
>  и никто не сцыт в компот
> ps. да, gtk1 только недавно выкинули :) вместе с последним оставшимся на
> нём пакетом - xmms

самый толковый плеер был, его форки умеют интеграцию с mplayer?


Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

29. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 13:55 
Если тебе нужен винамп-стайл, юзай qmmp.
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

52. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от QuAzI (ok) on 16-Авг-17, 17:28 
Audacious
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

82. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от Аноним (??) on 17-Авг-17, 18:09 
Qmmp поддерживает скины от WinAmp.
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

28. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 13:53 
> ps. да, gtk1 только недавно выкинули :) вместе с последним оставшимся на
> нём пакетом - xmms

Печеньки есть не только у вас:
http://www.freshports.org/x11-toolkits/gtk12/

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

67. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 05:14 
Что будет делать фряха когда выйдет GTK 12? Если теперешняя система нумерации останется, то это будет всего лишь году эдак в 2032-2034.
Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

77. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 13:10 
> Что будет делать фряха когда выйдет GTK 12? Если теперешняя система нумерации
> останется, то это будет всего лишь году эдак в 2032-2034.

И в чем проблема?
https://github.com/freebsd/freebsd-ports/blob/master/MOVED

# Port|Moved to|Date|Why
audio/polypaudio|audio/pulseaudio|2008-01-01|Project renamed
audio/akode-plugins-polypaudio||2008-01-01|Polypaudio is obsolete in favor of Pulseaudio
audio/teknap|net-p2p/teknap|2008-01-09|Moved to net-p2p category
net/freeradius-devel|net/freeradius2|2008-01-18|Development version no longer necessary
devel/p5-gearmand|devel/p5-Gearman-Server|2008-01-20|Replaced by p5-Gearman-Server
databases/mysqltoolkit|databases/maatkit|2008-01-21|Project was renamed
games/sturmbahnfahrer|games/stormbaancoureur|2008-01-27|Project was renamed
net/cactid|net-mgmt/cacti-spine|2008-01-27|Project was renamed


Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

81. "Qt 4 не войдёт в состав Debian 10"  –2 +/
Сообщение от пох on 17-Авг-17, 18:06 
> Что будет делать фряха когда выйдет GTK 12? Если теперешняя система нумерации
> останется, то это будет всего лишь году эдак в 2032-2034.

о, щас покажу, шо таки она сделает:

pkg set -n py27-setuptools27:py27-setuptools
pkg set -o devel/py-setuptools27:devel/py27-setuptools

это, если кто не понял, они зачем-то вообще на ровном месте взяли, и поменяли название пакета, цифирки переехали на другой конец строки, так красивше.
А кто этот момент проспал (в MOVED тонны ненужного хлама, читать его можно только от полного безделья) - получит в виде бонуса два конфликтующих пакета - старый с "неправильным" именем и новый, который required очередным питоновым барахлом, и дерется с уже установленным.

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

90. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 23:54 
> А кто этот момент проспал (в MOVED тонны ненужного хлама, читать его
> можно только от полного безделья) - получит в виде бонуса два
> конфликтующих пакета - старый с "неправильным" именем и новый, который required
> очередным питоновым барахлом, и дерется с уже установленным.

Читают UPDATING, в МОVED можно глянуть переименования и удаления.
> The pkg updating command scans the installed ports and show all UPDATING
>     entries that affect one of the installed ports.
> % pkg updating --date 20171337


20170316:
  AFFECTS: users of python setuptools
  AUTHOR: antoine@FreeBSD.org

  The python setuptools ports have been renamed to better match other python ports.
  Ports users need to rename them so that portupgrade and portmaster do not
  get confused.  For example:

    pkg set -n py27-setuptools27:py27-setuptools
    pkg set -o devel/py-setuptools27:devel/py27-setuptools
  or
    pkg set -n py35-setuptools35:py35-setuptools
    pkg set -o devel/py-setuptools35:devel/py35-setuptools


А так все верно, ага.

Ответить | Правка | ^ к родителю #81 | Наверх | Cообщить модератору

91. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Sirob on 18-Авг-17, 03:56 
> Что будет делать фряха когда выйдет GTK 12?

Если пакет с GTK v.1.2 называется gtk12, то пакет с GTK v.12.x будет называться gtk12x. Делов-то.

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

58. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 20:09 
И в NetBSD и FreeBSD/DragonFlyBSD так же.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

89. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от бедный буратино (ok) on 17-Авг-17, 21:39 
а kde3 у вас есть? :)
Ответить | Правка | ^ к родителю #58 | Наверх | Cообщить модератору

83. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 17-Авг-17, 18:14 
>в OpenBSD в наличии есть и qt3, и qt4 и qt5 -  и никто не сцыт в компот

Ну так OpenBSD - флагман безопасности же.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

88. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от бедный буратино (ok) on 17-Авг-17, 21:38 
ls qt3/patches | wc -l
31

ls qt4/patches | wc -l
54

а с переходом на шланг оно ещё и анализатором проверяется, не отходя от кассы

Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

95. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Michael Shigorin email(ok) on 22-Авг-17, 21:52 
> ps. да, gtk1 только недавно выкинули :) вместе с последним оставшимся на
> нём пакетом - xmms

Экие вы непоседы там.

Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

18. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от номия on 16-Авг-17, 13:28 
давно пора.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

34. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 16-Авг-17, 14:39 
Ох когда можно будет выкинуть qt4, gtk2,  python 2.7 ?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

63. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от бедный буратино (ok) on 16-Авг-17, 23:22 
только новое, модное, прогрессивное

долой стабильно работающее!

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

68. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 17-Авг-17, 05:15 
Последние два ещё сапортятся, в отличие от Qt 4.
Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

48. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от Аноним (??) on 16-Авг-17, 16:47 
То есть, четвертые культи окаменели настолько, что не годятся уже даже и в дебиан стейбл?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

49. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 16-Авг-17, 16:52 
Это уже не мой любимый Debian, а какой-то уродливый systemDebian
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

70. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 06:59 
для этого Красные Шляпы и убили Мердока
Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

50. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от anonymous (??) on 16-Авг-17, 17:14 
Только вот качество пятого оставляет желать лучшего.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

84. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 18:25 
По крайней мере, не хуже 4-го. С точки зрения быстройдействия, разницы в худшую сторону не обнаружил.
Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

53. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от QuAzI (ok) on 16-Авг-17, 17:37 
Не понятно только который Qt5 будет в итоге. Какой-нибудь древний 5.2, который не соберёт половину того что на Qt5 написано или всё же хотя бы LTS.
А ещё интереснее, когда же https://wiki.qt.io/PySide2 вообще зарелизится
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

75. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним (??) on 17-Авг-17, 12:00 
Какой нафиг 5.2? О нём уже забыли давно, даже в stable уже 5.7.
https://packages.debian.org/search?keywords=qtbase-opensourc...
Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

56. "Qt 4 не войдёт в состав Debian 10"  –5 +/
Сообщение от Аноним (??) on 16-Авг-17, 19:16 
сначала обрадовался, прочитав:qt не войдет в состав дебиана, а потом дочитал... 4
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

64. "Qt 4 не войдёт в состав Debian 10"  +3 +/
Сообщение от Аноним (??) on 16-Авг-17, 23:59 
Он тебе что-то прищемил?
Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

85. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 17-Авг-17, 18:29 
Дуплик?
Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

66. "Qt 4 не войдёт в состав Debian 10"  +2 +/
Сообщение от бедный буратино (ok) on 17-Авг-17, 03:57 
от Debian 11 Bullseye форкнется Debian 11 Bullshit, и вот туда уже Qt не войдёт

скоро на каждую фобию будет по Debian-у

Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

92. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от 123 (??) on 18-Авг-17, 13:21 
Будет смешно если SUSE забросят КЕДы окончательно, они уже сейчас в дефолте гном поставляют...
Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

71. "Qt 4 не войдёт в состав Debian 10"  +1 +/
Сообщение от Аноним (??) on 17-Авг-17, 07:12 
Dbian 10 появится не завтра, а примерно через 2 года. Вполне достаточно времени для перехода живого ПО на Qt5. Рано или поздно все равно придется зaкопать Qt4.

Админы, а почему слово "зaкопать" отнесено к ненормативной лексике? Приходится его писать с одной латинской буквой. На этом сайте без этого слова никак.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

93. "Qt 4 не войдёт в состав Debian 10"  –1 +/
Сообщение от 123 (??) on 18-Авг-17, 13:22 
> Dbian 10 появится не завтра, а примерно через 2 года.
> Вполне достаточно времени для перехода живого ПО на Qt6.
> Рано или поздно все равно придется зaкопать Qt5.

Зная культишников и кедоносцев будет скорее так.

Ответить | Правка | ^ к родителю #71 | Наверх | Cообщить модератору

94. "Qt 4 не войдёт в состав Debian 10"  +/
Сообщение от Аноним email(??) on 18-Авг-17, 13:54 
Зачем воообще версии Qt менять, какой в этом прок?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру